<%@ Page Language="C#" MasterPageFile = "~/OWDemoShell.Master" AutoEventWireup = "true" CodeBehind="Part1_CSV.aspx.cs" Inherits="ExtendedSalesSummary.Part1_CSV" Title = "Part 1: Using CopySheet"%>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="DemoTitle" runat="server">Part 1: 
    Using CopySheet 
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="DemoBody" runat="server">
<p>
    <i>Part 1: Using CopySheet</i> is an example of a simple report that uses ExcelWriter's
    ExcelApplication object to make copies of an Excel worksheet based on user selections.
    It then populates the worksheets using the ExcelTemplate object.
    There is an companion guide in the ExcelWriter documentation with more details: 
    <a href="http://wiki.softartisans.com/display/EW8/Worksheets.CopySheet(Worksheet,+Int32,+String)">
    Part 1 - Using CopySheet</a>.
</p>
<p>Please select the countries you would like to include in your Excel Workbook.
</p>
<asp:ListBox runat = "server" ID = "ListBox1" SelectionMode = "Multiple" Rows = "4" Width = "300 px">
    <asp:ListItem Text = "Canada" Value = "6"></asp:ListItem>
    <asp:ListItem Text = "France" Value = "7"></asp:ListItem>
    <asp:ListItem Text = "Germany" Value = "8"></asp:ListItem>
    <asp:ListItem Text = "Australia" Value = "9"></asp:ListItem>
</asp:ListBox>
<p><asp:RequiredFieldValidator ID = "RequiredFieldValidator1" ControlToValidate = "ListBox1" Display ="Static" ErrorMessage = "Please select at least one country" InitialValue = "" Width = "100%" runat = "server">
</asp:RequiredFieldValidator></p>
<p>
    <asp:Button ID="RunReport" runat="server" Text="Run Report" 
        onclick="RunReport_Click" /> <br />
    View <a href="templates/template.xlsx">Template</a>
 </p>
 <p><a href="Part2_CSV.aspx">Continue on to Part 2</a></p>
<p>
    <asp:Label ID="ErrorLabel" runat="server" Text="[Error Label]" Visible="False" 
        ForeColor="Red"></asp:Label>
</p>
</asp:Content>
